<div class="grid grid-flow-row grid-cols-4 gap-4">
    <app-pokemon-list-item
    *ngFor="let pokemon of pokemons | paginate:{ itemsPerPage: 10, currentPage: page, totalItems:1154 }" 
    [pokemon]="pokemon"  ></app-pokemon-list-item>
</div>
<pagination-controls class="text-center" (pageChange)="page = $event; changePage()"></pagination-controls>